locked
New NuGet version with old VS Version (2012) RRS feed

  • Question

  • I'm facing a trouble to update packages (currently JSON package). On  older versions the JSON package was't included on Microsoft.CSharp, futhermore it has't contructed over .net standard.

    Today I'm using VS2012 and the most recent version of NuGet package manager that I can update, in normal mode, is 2.8.60318.667.

    The doubt is, could I use a newer version of NuGet with old VS2012, what it implies on?

    Thanks.


    Att; Rafael

    Thursday, January 3, 2019 8:21 PM

Answers

  • Hi Rafael,

    Welcome to the MSDN forum.

    The latest version of NuGet for Visual Studio 2012 is 2.8.6 and from NuGet 2.12, it has full NetStandard and NetCoreApp support VS 2013, please check this similar issue, sorry for this inconvenience. Please try to use a higher VS version like 2013, 2015 or the latest version 2017 to work out with this issue.

    Best regards,

    Sara


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com

    • Marked as answer by Rafael.IT Friday, January 4, 2019 11:03 AM
    Friday, January 4, 2019 6:24 AM